/*############################
#  ______            _ _____  _    _ _____  __  ____      _______ 
# |  ____|          | |  __ \| |  | |  __ \|  \/  \ \    / / ____|
# | |__ _ __ ___  __| | |__) | |__| | |__) | \  / |\ \  / / |     
# |  __| '__/ _ \/ _` |  ___/|  __  |  ___/| |\/| | \ \/ /| |     
# | |  | | |  __/ (_| | |    | |  | | |    | |  | |  \  / | |____ 
# |_|  |_|  \___|\__,_|_|    |_|  |_|_|    |_|  |_|   \/   \_____|
#                                                                 
# by : fredericpetit.fr
# last revision : 21/06/2022
############################
# script : main.css
# usage : main style
############################*/

/* #################### dark mode #################### */
body {--bkg-color: #FFFFFF;}
body footer p {--text-color: #ACACAC;}
body footer a:link,
body footer a:visited {--text-color: #000000;}
/* # with preferences # */
body.dark-theme {--bkg-color: #202124;}
body.dark-theme footer p {--text-color: #FFFFFF;}
body.dark-theme footer a:link,
body.dark-theme footer a:visited {--text-color: #ACACAC;}
@media (prefers-color-scheme: dark) {
    body {--bkg-color: #202124;}
    body.light-theme {--bkg-color: #FFFFFF;}
    body.light-theme footer p {--text-color: #ACACAC;}
    body.light-theme footer a:link,
    body.light-theme footer a:visited {--text-color: #000000;}
}

/* #################### the mostbeautiful font #################### */
body {
    font-family: 'Ubuntu', sans-serif !important;
    background-color: var(--bkg-color) !important;
}

/* #################### reset vanilla #################### */
html, body, div {margin: 0px; padding: 0px;}
code {
    display: block !important;
    padding: 10px 10px 5px 10px !important;
    white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
    background-color: #F7F7F7 !important;
    border-radius: 10px;
    border: 1px solid #DDDDDD !important;
    color: #000000 !important;
    font-size: 10px;
}
pre {
    display: inline !important;
    padding: 5px 10px 5px 10px !important;
    white-space: pre-wrap;       /* Since CSS 2.1 */
    white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
    white-space: -pre-wrap;      /* Opera 4-6 */
    white-space: -o-pre-wrap;    /* Opera 7 */
    word-wrap: break-word;       /* Internet Explorer 5.5+ */
    background-color: #F7F7F7 !important;
    border: 1px solid #DDDDDD !important;
    color: #000000 !important;
    font-size: 10px;
}
a:link, a:visited, a:hover {text-decoration: none;}

/* #################### reset Bootstrap #################### */
nav.navbar {background-color: #101533 !important;}
nav a.navbar-brand {color: #F7C884 !important;}

/* #################### main elements #################### */
/* # splash__main # */
main div#splash__main {
    padding: 50px 5px 0px 5px !important;
    color: #FFE8CF !important;
    background-color: #383E5E !important;
}
main div#splash__main h2 {padding: 15px 0px 13px 0px !important;}
/* # cd animation # */
main div#cd {
    padding: 0px 20px 0px 20px;
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 30px;
    font-weight: bold;
    font-display: auto;
    font-family: monospace,monospace;
}
main span#cd__mark {margin-right: 5px;}
main span#cd__cursor {
    display: inline-block;
    width: 10px;
    height: 30px;
    background: #131333;
    margin-left: 5px;
    border-radius: 1px;
    animation: cursor 1s infinite;
}
/* # content # */
main div#content {
    min-height: 500px !important;
    padding: 0px 20px 20px 20px;
}
main div#content a:link, 
main div#content a:visited {
    color: #FFE8CF;
    text-decoration: none;
}
main div#content a:hover {
    color: #fcdebe;
    text-decoration: none;
}
@media only screen and (max-width: 768px) {
    main div#cd {font-size: 15px !important;}
    main span#cd__cursor {width: 6px !important; height: 15px !important;}
}
@keyframes cursor {
    0% {opacity: 0;}
    50% {opacity: 1;}
    100% {opacity: 0;}
}
/* # phpinfo # */
main div#phpinfo {color: #000000;}
main div#phpinfo pre {margin: 0; font-family: monospace;}
main div#phpinfo a:link {color: #009; text-decoration: none; background-color: #fff;}
main div#phpinfo a:hover {text-decoration: underline;}
main div#phpinfo table {border-collapse: collapse; border: 0; width: 934px; box-shadow: 1px 2px 3px #ccc;}
main div#phpinfo .center {text-align: center;}
main div#phpinfo .center table {margin: 1em auto; text-align: left;}
main div#phpinfo .center th {text-align: center !important;}
main div#phpinfo td, th {border: 1px solid #666; font-size: 75%; vertical-align: baseline; padding: 4px 5px;}
main div#phpinfo h1 {font-size: 150%;}
main div#phpinfo h2 {font-size: 125%;}
main div#phpinfo .p {text-align: left;}
main div#phpinfo .e {background-color: #ccf; width: 300px; font-weight: bold;}
main div#phpinfo .h {background-color: #99c; font-weight: bold;}
main div#phpinfo .v {background-color: #ddd; max-width: 300px; overflow-x: auto; word-wrap: break-word;}
main div#phpinfo .v i {color: #999;}
main div#phpinfo img {float: right; border: 0;}
main div#phpinfo hr {width: 934px; background-color: #ccc; border: 0; height: 1px;}

/* # footer # */
body footer p {color: var(--text-color) !important;}
body footer a:link, 
body footer a:visited {color: var(--text-color) !important;}